
import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/VAbhiram99/072ccc50132c5680f85d0b9860a32c80/raw/2127c10846d111340e165f39d04d0400fcc442a5/World';

let arr = {};

export const useWorldPop = () => {
  const [data, setData] = useState(null);
  let i = 0;
  useEffect(() => {
    const row = (d) => {
  //    console.log(i + ' - ' + d.Country + ' - ' + +d['2020'] * 1000 );
      d.Population = +d['2020'] * 1000;
      arr[d.Country] = d.Population;
      i++;
 // console.log(arr);
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
//console.log(arr);
  return arr;
};

// use:
// [...document.querySelector("iframe").contentDocument.querySelectorAll(".no-data title")].map(d => (d.innerHTML.split(' - ')[0]) )
// to generate list of country name mismatches.